## LassoSaml2Conditions LassoSaml2Conditions — <saml2:Conditions> |

## Functions

LassoNode * | lasso_saml2_conditions_new ()

## Types and Values

struct | LassoSaml2Conditions

## Object Hierarchy

        GObject
        ╰── LassoNode
            ╰── LassoSaml2Conditions

## Description

Figure 56. Schema fragment for saml2:Conditions

    <complexType name="ConditionsType">
      <choice minOccurs="0" maxOccurs="unbounded">
        <element ref="saml:Condition"/>
        <element ref="saml:AudienceRestriction"/>
        <element ref="saml:OneTimeUse"/>
        <element ref="saml:ProxyRestriction"/>
      </choice>
      <attribute name="NotBefore" type="dateTime" use="optional"/>
      <attribute name="NotOnOrAfter" type="dateTime" use="optional"/>
    </complexType>

## Functions

### lasso_saml2_conditions_new ()

    LassoNode *
    lasso_saml2_conditions_new (void);

Creates a new LassoSaml2Conditions object.

#### Returns

a newly created LassoSaml2Conditions object

## Types and Values

### struct LassoSaml2Conditions

    struct LassoSaml2Conditions {
    	/* elements */
    	GList *Condition; /* of LassoSaml2ConditionAbstract */
    	GList *AudienceRestriction; /* of LassoSaml2AudienceRestriction */
    	GList *OneTimeUse; /* of LassoSaml2OneTimeUse */
    	GList *ProxyRestriction; /* of LassoSaml2ProxyRestriction */
    	/* attributes */
    	char *NotBefore;
    	char *NotOnOrAfter;
    };